Summary: Library for DES encryption
Name: libdes
Version: 4.04b
Release: 1
Group: Libraries
Copyright: Copyrighted / Free for commercial or non-commercial use
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.psy.uq.oz.au/pub/Crypto/DES/libdes-%{version}.tar.gz
Patch0: libdes-4.04b-config.patch
Patch1: libdes-4.04b-alpha.patch
Patch2: libdes-4.04b-i386.patch
Patch3: libdes-4.04b-sparc.patch
BuildRoot: /var/tmp/%{name}-root

%description
This kit builds a DES encryption library and a DES encryption program.
It supports ecb, cbc, ofb, cfb, triple ecb, triple cbc, triple ofb, 
triple cfb, and MIT's pcbc encryption modes and also has a fast implementation
of crypt(3). It contains support routines to read keys from a terminal,
generate a random key, generate a key from an arbitrary length string,
read/write encrypted data from/to a file descriptor. 
The implementation was written so as to conform with the manual entry
for the des_crypt(3) library routines from MIT's project Athena.


%prep
%setup -q -n des
%patch0 -p1

%ifarch alpha
%patch1 -p1
%endif

%ifarch i386
%patch2 -p1
%endif

%ifarch sparc
%patch3 -p1
%endif


%build
%ifarch i386
make x86-elf
%else
make gcc
%endif


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib,man/man{1,3}}
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT install 
strip $RPM_BUILD_ROOT/usr/bin/*


%files
%defattr(-,root,root)
%doc COPYRIGHT INSTALL MODES.DES README VERSION
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

